<script>
    export let path = [];
    export let title = "Stream - AStA Uni Göttingen";
</script>

<nav class="navbar mb-2 shadow-lg bg-neutral text-neutral-content">
    <div class="flex-none">
        {#if path.length === 0}
            <a class="btn btn-square btn-ghost" href="/">
                <svg style="width:24px;height:24px" viewBox="0 0 24 24">
                    <title>Home</title>
                    <path fill="currentColor" d="M10,20V14H14V20H19V12H22L12,3L2,12H5V20H10Z"/>
                </svg>
            </a>
        {:else}
            <a class="btn btn-square btn-ghost" href="/">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                     class="inline-block w-6 h-6 stroke-current text-success">
                    <title>Back</title>
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                          d="M10 19l-7-7m0 0l7-7m-7 7h18"></path>
                </svg>
            </a>
        {/if}
    </div>
    <div class="flex-1 px-2 mx-2">
        <h1 class="text-lg font-bold">
            {title}
        </h1>
    </div>

    <!--    <a class="btn btn-secondary" href="/login">Login</a>-->
    <a class="btn" href="/about">Impressum & Datenschutz</a>
    <div class="flex-none">
        <div class="dropdown dropdown-end">
            <button class="btn btn-square btn-ghost">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                     class="inline-block w-6 h-6 stroke-current">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                          d="M5 12h.01M12 12h.01M19 12h.01M6 12a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0z"></path>
                </svg>
            </button>
            <ul class="menu dropdown-content bg-base-content rounded-box w-52">
                <li>
                    <a href="/organize">Streamen</a>
                </li>
                <li>
                    <a href="/admin">Admin</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

